PennMUSH Community

Changeset 897

Show
Ignore:
Timestamp:
06/06/07 19:09:38 (1 year ago)
Author:
shawnw
Message:

expr: sync with devel

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • 1.8.3/branches/experimental/CHANGES.183

    r878 r897  
    2727  * sql() returns error codes directly instead of notifying %!. [SW] 
    2828 
     29Functions: 
     30  * lattr() and lattrp() take an optional delimiter argument. Suggested 
     31    by Nathan Baum. [SW] 
     32  * New csecs() and msecs() functions, like ctime() and mtime() but 
     33    returning the time in seconds instead of a formatted string. Based on 
     34    a patch by Talvo. 
     35  * ctime() and mtime() take an optional second argument to control which 
     36    time zone the time is displayed for: UTC or the server's. [SW] 
     37   
    2938Fixes: 
    3039  * Assorted compiler warning fixes. [SW] 
     
    3342    Reported by qa'toq. 
    3443  * Problems with sql() on Sqlite3. Reported by qa'toq. [SW] 
     44  * Start fixing code that assumes that int and long are the same 
     45    size. [SW] 
     46  * Linting of code that uses strcpy, strncpy() and sprintf() to 
     47    rule out remote possibilities of buffer overflows. [SW] 
     48  * align() off-by-one error in left coalescing fixed. Reported by 
     49    Sketch. [Javelin] 
     50  * User locks were broken in the last patch. Reported by Michael Brazaitis. 
     51    [SW] 
    3552 
    3653Version 1.8.3 patchlevel 2                      May 16, 2007 
  • 1.8.3/branches/experimental/INSTALL

    r794 r897  
    5555 
    5656    GNU/Linux, NetBSD, FreeBSD on many architectures 
    57         Mac OS X on PowerPC 
    58         Microsoft Windows on x86 
     57        Mac OS X 
     58        Microsoft Windows 
    5959          
    60  
    6160There's no real reason why PennMUSH shouldn't compile on any 32-bit 
    6261or better BSD, System V, or POSIX operating system.  Development is 
    6362primarily done on GNU/Linux and Mac OS X systems. 
     63 
     64Mac OS 9 and earlier ("Classic"), and OS/2 are not supported. 
    6465 
    6566============================================================================ 
  • 1.8.3/branches/experimental/MANIFEST

    r857 r897  
    121121hdrs/switches.h 
    122122hdrs/version.h 
     123hdrs/wait.h 
    123124hints/a-u-x.sh 
    124125hints/aix.sh 
     
    140141options.h.dist 
    141142po/Makefile 
    142 src/Makefile.SH 
     143src/Makefile.in 
    143144src/SWITCHES 
    144145src/access.c 
     
    178179src/funufun.c 
    179180src/game.c 
    180 src/gmalloc.c 
    181181src/help.c 
    182182src/htab.c 
  • 1.8.3/branches/experimental/config.h.in

    r878 r897  
    66/* Headers */ 
    77 
     8/* <arpa/inet.h> What needs this? */ 
    89#undef I_ARPA_INET 
    910 
     11/* <arpa/nameser.h> What needs this? */ 
    1012#undef I_ARPA_NAMESER 
    1113 
     
    1618#undef I_LIBINTL 
    1719 
     20/* Get rid of this */ 
    1821#undef I_MALLOC 
    1922 
     
    2326 
    2427#undef I_NETINET_TCP 
    25  
    26 #undef HAVE_STDINT_H 
    2728 
    2829#undef I_SYS_ERRNO 
     
    6263#undef HAVE_SYS_RESOURCE_H 
    6364 
     65#undef HAVE_SYS_EVENT_H 
     66 
     67/* C99ish headers. The first two are really really nice to have. */ 
     68 
     69#undef HAVE_STDINT_H 
     70 
     71#undef HAVE_INTTYPES_H 
     72 
    6473#undef HAVE_STDBOOL_H 
    6574 
     
    8089/* Types */ 
    8190 
     91#undef HAVE__BOOL 
     92 
    8293#undef ssize_t 
    8394 
     95/* Should be in <sys/socket.h> */ 
    8496#undef socklen_t 
    8597 
     98#undef pid_t 
     99 
     100/* All of these are in <stdint.h> if present. Otherwise autoconf 
     101 guesses. */ 
     102 
    86103#undef uint8_t 
    87104 
    88105#undef uint16_t 
    89106 
     107#undef int32_t 
     108 
    90109#undef uint32_t 
    91110 
    92 #undef pid_t 
    93  
    94 #ifdef HAVE__BOOL 
    95 typedef _Bool BOOL; 
     111#undef int64_t 
     112 
     113#undef uint64_t 
     114 
     115/* Type of the largest int type */ 
     116#undef intmax_t 
     117 
     118#undef uintmax_t 
     119 
     120/* 4 */ 
     121#undef SIZEOF_INT 
     122 
     123/* 4 or 8 */ 
     124#undef SIZEOF_LONG 
     125 
     126/* 0 if no 64-bit type (We shouldn't be seeing that case) or 8. See below. */ 
     127#undef SIZEOF_INT64_T 
     128 
     129/* 8 on most modern CPUs Penn will be used on. They either have  64-bit  
     130* words (amd64, sparc64, powerpc64) or support an extended 64-bit type (i386,  
     131* powerpc32) */ 
     132#undef SIZEOF_INTMAX_T 
     133 
     134#undef SIZEOF_TIME_T 
     135 
     136/* 4 or 8 */ 
     137#undef SIZEOF_VOID_P 
     138 
     139/* Taken from autoconf manual */ 
     140#if HAVE_STDBOOL_H 
     141# include <stdbool.h> 
    96142#else 
    97 typedef int BOOL; 
    98 #endif 
    99  
    100 typedef void* Malloc_t; 
     143# if ! HAVE__BOOL 
     144#  ifdef __cplusplus 
     145typedef bool _Bool; 
     146#  else 
     147#   define _Bool signed char 
     148#  endif 
     149# endif 
     150# define bool _Bool 
     151# define false 0 
     152# define true 1 
     153# define __bool_true_false_are_defined 1 
     154#endif 
     155 
     156/* Someday work to get rid of these. They're left over from the 
     157pre-void days */  
     158typedef void* Malloc_t;  
    101159typedef void Free_t; 
    102160 
     
    128186#undef HAS_GETRUSAGE 
    129187 
    130 #undef HAS_GETTEXT 
     188#undef HAVE_GETTEXT 
    131189 
    132190#undef HAS_INET_PTON 
     
    156214#undef HAVE_SETPRIORITY 
    157215 
    158 #undef HAS_SIGACTION 
    159  
    160 #undef HAS_SIGPROCMASK 
    161  
    162 #undef HAS_SNPRINTF 
     216#undef HAVE_SIGACTION 
     217 
     218#undef HAVE_SIGPROCMASK 
     219 
     220#undef HAVE_SNPRINTF 
    163221 
    164222#undef HAVE_SOCKETPAIR 
     
    166224#undef HAVE_STRCASECMP 
    167225 
     226#undef HAVE_STRNCASECMP 
     227 
     228/* Various Windows (And maybe others?) string functions  start with _str */ 
     229 
    168230#undef HAVE__STRICMP 
    169231 
    170 #undef HAS_STRDUP 
     232#undef HAVE__STRNICMP 
     233 
     234#undef HAVE__STRICOLL 
     235 
     236#undef HAVE__STRNCOLL 
     237 
     238#undef HAVE__STRNICOLL 
     239 
     240#undef HAVE__SNPRINTF 
     241 
     242#undef HAVE__VSNPRINTF 
     243 
     244#undef HAVE__VSNPRINTF_S 
     245 
     246 
     247#undef HAVE_STRDUP 
    171248 
    172249#undef HAVE_STRCOLL 
    173250 
    174 #undef HAS_STRXFRM 
     251#undef HAVE_STRXFRM 
    175252 
    176253#undef HAS_SYSCONF 
     
    188265#undef UNION_WAIT 
    189266 
     267#undef HAVE_IMAXDIV 
     268 
     269#undef HAVE_GETPID 
     270 
     271#undef HAVE_GETPPID 
     272 
     273#undef HAVE_KQUEUE 
     274 
    190275/* Variables and defines */ 
    191276 
     
    210295#undef HAVE_UPTIME 
    211296 
     297/* Path to uptime */ 
    212298#undef UPTIME 
    213299 
    214300#undef HAVE_SENDMAIL 
    215301 
     302/* Path to sendmail */ 
    216303#undef SENDMAIL 
    217304 
  • 1.8.3/branches/experimental/configure

    r878 r897  
    644644EXEEXT 
    645645OBJEXT 
     646GDB 
    646647CHMOD 
    647648CP 
     
    17161717 
    17171718 
     1719if test "x$CFLAGS" = "x"; then 
     1720CFLAGS="-O" 
     1721DEFAULT_CFLAGS=yes 
     1722else 
     1723DEFAULT_CFLAGS=no 
     1724fi 
     1725 
    17181726ac_ext=c 
    17191727ac_cpp='$CPP $CPPFLAGS' 
     
    29532961 
    29542962 
     2963 
     2964# Extract the first word of "gdb", so it can be a program name with args. 
     2965set dummy gdb; ac_word=$2 
     2966{ echo "$as_me:$LINENO: checking for $ac_word" >&5 
     2967echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6; } 
     2968if test "${ac_cv_path_GDB+set}" = set; then 
     2969  echo $ECHO_N "(cached) $ECHO_C" >&6 
     2970else 
     2971  case $GDB in 
     2972  [\\/]* | ?:[\\/]*) 
     2973  ac_cv_path_GDB="$GDB" # Let the user override the test with a path. 
     2974  ;; 
     2975  *) 
     2976  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR 
     2977for as_dir in $PATH 
     2978do 
     2979  IFS=$as_save_IFS 
     2980  test -z "$as_dir" && as_dir=. 
     2981  for ac_exec_ext in '' $ac_executable_extensions; do 
     2982  if { test -f "$as_dir/$ac_word$ac_exec_ext" && $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; }; then 
     2983    ac_cv_path_GDB="$as_dir/$ac_word$ac_exec_ext" 
     2984    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5 
     2985    break 2 
     2986  fi 
     2987done 
     2988done 
     2989IFS=$as_save_IFS 
     2990 
     2991  ;; 
     2992esac 
     2993fi 
     2994GDB=$ac_cv_path_GDB 
     2995if test -n "$GDB"; then 
     2996  { echo "$as_me:$LINENO: result: $GDB" >&5 
     2997echo "${ECHO_T}$GDB" >&6; } 
     2998else 
     2999  { echo "$as_me:$LINENO: result: no" >&5 
     3000echo "${ECHO_T}no" >&6; } 
     3001fi 
     3002 
     3003 
     3004 
     3005# Set good debug and warning options if using gcc 
     3006# and custom CFLAGS aren't being used. 
     3007# Todo: Look into the warnings setting macros in the autoconf archive, 
     3008# maybe use them instead? 
     3009if test $DEFAULT_CFLAGS = yes; then 
     3010 if test "x$GDB" != x; then 
     3011  if test "x$ac_cv_c_compiler_gnu" = xyes; then 
     3012CFLAGS="-ggdb $CFLAGS -W -Wall -pedantic -Wno-comment" 
     3013   else 
     3014CFLAGS="-g $CFLAGS -W" 
     3015  fi 
     3016 else 
     3017CFLAGS="-g $CFLAGS -W" 
     3018 fi 
     3019fi 
    29553020 
    29563021# Extract the first word of "chmod", so it can be a program name with args. 
     
    77417806 
    77427807 
    7743 for ac_header in sys/un.h ieeefp.h sys/resource.h 
     7808 
     7809for ac_header in sys/un.h ieeefp.h sys/resource.h sys/event.h 
    77447810do 
    77457811as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    86718737 
    86728738 
     8739  { echo "$as_me:$LINENO: checking for int32_t" >&5 
     8740echo $ECHO_N "checking for int32_t... $ECHO_C" >&6; } 
     8741if test "${ac_cv_c_int32_t+set}" = set; then 
     8742  echo $ECHO_N "(cached) $ECHO_C" >&6 
     8743else 
     8744  ac_cv_c_int32_t=no 
     8745     for ac_type in 'int32_t' 'int' 'long int' \ 
     8746     'long long int' 'short int' 'signed char'; do 
     8747       cat >conftest.$ac_ext <<_ACEOF 
     8748/* confdefs.h.  */ 
     8749_ACEOF 
     8750cat confdefs.h >>conftest.$ac_ext 
     8751cat >>conftest.$ac_ext <<_ACEOF 
     8752/* end confdefs.h.  */ 
     8753$ac_includes_default 
     8754int 
     8755main () 
     8756{ 
     8757static int test_array [1 - 2 * !(0 < ($ac_type) (((($ac_type) 1 << (32 - 2)) - 1) * 2 + 1))]; 
     8758test_array [0] = 0 
     8759 
     8760  ; 
     8761  return 0; 
     8762} 
     8763_ACEOF 
     8764rm -f conftest.$ac_objext 
     8765if { (ac_try="$ac_compile" 
     8766case "(($ac_try" in 
     8767  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8768  *) ac_try_echo=$ac_try;; 
     8769esac 
     8770eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8771  (eval "$ac_compile") 2>conftest.er1 
     8772  ac_status=$? 
     8773  grep -v '^ *+' conftest.er1 >conftest.err 
     8774  rm -f conftest.er1 
     8775  cat conftest.err >&5 
     8776  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8777  (exit $ac_status); } && 
     8778     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     8779  { (case "(($ac_try" in 
     8780  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8781  *) ac_try_echo=$ac_try;; 
     8782esac 
     8783eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8784  (eval "$ac_try") 2>&5 
     8785  ac_status=$? 
     8786  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8787  (exit $ac_status); }; } && 
     8788     { ac_try='test -s conftest.$ac_objext' 
     8789  { (case "(($ac_try" in 
     8790  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8791  *) ac_try_echo=$ac_try;; 
     8792esac 
     8793eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8794  (eval "$ac_try") 2>&5 
     8795  ac_status=$? 
     8796  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8797  (exit $ac_status); }; }; then 
     8798  cat >conftest.$ac_ext <<_ACEOF 
     8799/* confdefs.h.  */ 
     8800_ACEOF 
     8801cat confdefs.h >>conftest.$ac_ext 
     8802cat >>conftest.$ac_ext <<_ACEOF 
     8803/* end confdefs.h.  */ 
     8804$ac_includes_default 
     8805int 
     8806main () 
     8807{ 
     8808static int test_array [1 - 2 * !(($ac_type) (((($ac_type) 1 << (32 - 2)) - 1) * 2 + 1) 
     8809             < ($ac_type) (((($ac_type) 1 << (32 - 2)) - 1) * 2 + 2))]; 
     8810test_array [0] = 0 
     8811 
     8812  ; 
     8813  return 0; 
     8814} 
     8815_ACEOF 
     8816rm -f conftest.$ac_objext 
     8817if { (ac_try="$ac_compile" 
     8818case "(($ac_try" in 
     8819  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8820  *) ac_try_echo=$ac_try;; 
     8821esac 
     8822eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8823  (eval "$ac_compile") 2>conftest.er1 
     8824  ac_status=$? 
     8825  grep -v '^ *+' conftest.er1 >conftest.err 
     8826  rm -f conftest.er1 
     8827  cat conftest.err >&5 
     8828  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8829  (exit $ac_status); } && 
     8830     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     8831  { (case "(($ac_try" in 
     8832  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8833  *) ac_try_echo=$ac_try;; 
     8834esac 
     8835eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8836  (eval "$ac_try") 2>&5 
     8837  ac_status=$? 
     8838  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8839  (exit $ac_status); }; } && 
     8840     { ac_try='test -s conftest.$ac_objext' 
     8841  { (case "(($ac_try" in 
     8842  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     8843  *) ac_try_echo=$ac_try;; 
     8844esac 
     8845eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     8846  (eval "$ac_try") 2>&5 
     8847  ac_status=$? 
     8848  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     8849  (exit $ac_status); }; }; then 
     8850  : 
     8851else 
     8852  echo "$as_me: failed program was:" >&5 
     8853sed 's/^/| /' conftest.$ac_ext >&5 
     8854 
     8855    case $ac_type in 
     8856  int32_t) ac_cv_c_int32_t=yes ;; 
     8857  *) ac_cv_c_int32_t=$ac_type ;; 
     8858esac 
     8859 
     8860fi 
     8861 
     8862rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     8863else 
     8864  echo "$as_me: failed program was:" >&5 
     8865sed 's/^/| /' conftest.$ac_ext >&5 
     8866 
     8867 
     8868fi 
     8869 
     8870rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     8871       test "$ac_cv_c_int32_t" != no && break 
     8872     done 
     8873fi 
     8874{ echo "$as_me:$LINENO: result: $ac_cv_c_int32_t" >&5 
     8875echo "${ECHO_T}$ac_cv_c_int32_t" >&6; } 
     8876  case $ac_cv_c_int32_t in #( 
     8877  no|yes) ;; #( 
     8878  *) 
     8879 
     8880cat >>confdefs.h <<_ACEOF 
     8881#define int32_t $ac_cv_c_int32_t 
     8882_ACEOF 
     8883;; 
     8884  esac 
     8885 
     8886 
    86738887  { echo "$as_me:$LINENO: checking for uint32_t" >&5 
    86748888echo $ECHO_N "checking for uint32_t... $ECHO_C" >&6; } 
     
    87628976;; 
    87638977  esac 
     8978 
     8979 
     8980  { echo "$as_me:$LINENO: checking for int64_t" >&5 
     8981echo $ECHO_N "checking for int64_t... $ECHO_C" >&6; } 
     8982if test "${ac_cv_c_int64_t+set}" = set; then 
     8983  echo $ECHO_N "(cached) $ECHO_C" >&6 
     8984else 
     8985  ac_cv_c_int64_t=no 
     8986     for ac_type in 'int64_t' 'int' 'long int' \ 
     8987     'long long int' 'short int' 'signed char'; do 
     8988       cat >conftest.$ac_ext <<_ACEOF 
     8989/* confdefs.h.  */ 
     8990_ACEOF 
     8991cat confdefs.h >>conftest.$ac_ext 
     8992cat >>conftest.$ac_ext <<_ACEOF 
     8993/* end confdefs.h.  */ 
     8994$ac_includes_default 
     8995int 
     8996main () 
     8997{ 
     8998static int test_array [1 - 2 * !(0 < ($ac_type) (((($ac_type) 1 << (64 - 2)) - 1) * 2 + 1))]; 
     8999test_array [0] = 0 
     9000 
     9001  ; 
     9002  return 0; 
     9003} 
     9004_ACEOF 
     9005rm -f conftest.$ac_objext 
     9006if { (ac_try="$ac_compile" 
     9007case "(($ac_try" in 
     9008  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9009  *) ac_try_echo=$ac_try;; 
     9010esac 
     9011eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9012  (eval "$ac_compile") 2>conftest.er1 
     9013  ac_status=$? 
     9014  grep -v '^ *+' conftest.er1 >conftest.err 
     9015  rm -f conftest.er1 
     9016  cat conftest.err >&5 
     9017  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9018  (exit $ac_status); } && 
     9019     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     9020  { (case "(($ac_try" in 
     9021  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9022  *) ac_try_echo=$ac_try;; 
     9023esac 
     9024eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9025  (eval "$ac_try") 2>&5 
     9026  ac_status=$? 
     9027  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9028  (exit $ac_status); }; } && 
     9029     { ac_try='test -s conftest.$ac_objext' 
     9030  { (case "(($ac_try" in 
     9031  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9032  *) ac_try_echo=$ac_try;; 
     9033esac 
     9034eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9035  (eval "$ac_try") 2>&5 
     9036  ac_status=$? 
     9037  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9038  (exit $ac_status); }; }; then 
     9039  cat >conftest.$ac_ext <<_ACEOF 
     9040/* confdefs.h.  */ 
     9041_ACEOF 
     9042cat confdefs.h >>conftest.$ac_ext 
     9043cat >>conftest.$ac_ext <<_ACEOF 
     9044/* end confdefs.h.  */ 
     9045$ac_includes_default 
     9046int 
     9047main () 
     9048{ 
     9049static int test_array [1 - 2 * !(($ac_type) (((($ac_type) 1 << (64 - 2)) - 1) * 2 + 1) 
     9050             < ($ac_type) (((($ac_type) 1 << (64 - 2)) - 1) * 2 + 2))]; 
     9051test_array [0] = 0 
     9052 
     9053  ; 
     9054  return 0; 
     9055} 
     9056_ACEOF 
     9057rm -f conftest.$ac_objext 
     9058if { (ac_try="$ac_compile" 
     9059case "(($ac_try" in 
     9060  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9061  *) ac_try_echo=$ac_try;; 
     9062esac 
     9063eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9064  (eval "$ac_compile") 2>conftest.er1 
     9065  ac_status=$? 
     9066  grep -v '^ *+' conftest.er1 >conftest.err 
     9067  rm -f conftest.er1 
     9068  cat conftest.err >&5 
     9069  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9070  (exit $ac_status); } && 
     9071     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     9072  { (case "(($ac_try" in 
     9073  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9074  *) ac_try_echo=$ac_try;; 
     9075esac 
     9076eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9077  (eval "$ac_try") 2>&5 
     9078  ac_status=$? 
     9079  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9080  (exit $ac_status); }; } && 
     9081     { ac_try='test -s conftest.$ac_objext' 
     9082  { (case "(($ac_try" in 
     9083  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9084  *) ac_try_echo=$ac_try;; 
     9085esac 
     9086eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9087  (eval "$ac_try") 2>&5 
     9088  ac_status=$? 
     9089  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9090  (exit $ac_status); }; }; then 
     9091  : 
     9092else 
     9093  echo "$as_me: failed program was:" >&5 
     9094sed 's/^/| /' conftest.$ac_ext >&5 
     9095 
     9096    case $ac_type in 
     9097  int64_t) ac_cv_c_int64_t=yes ;; 
     9098  *) ac_cv_c_int64_t=$ac_type ;; 
     9099esac 
     9100 
     9101fi 
     9102 
     9103rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     9104else 
     9105  echo "$as_me: failed program was:" >&5 
     9106sed 's/^/| /' conftest.$ac_ext >&5 
     9107 
     9108 
     9109fi 
     9110 
     9111rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     9112       test "$ac_cv_c_int64_t" != no && break 
     9113     done 
     9114fi 
     9115{ echo "$as_me:$LINENO: result: $ac_cv_c_int64_t" >&5 
     9116echo "${ECHO_T}$ac_cv_c_int64_t" >&6; } 
     9117  case $ac_cv_c_int64_t in #( 
     9118  no|yes) ;; #( 
     9119  *) 
     9120 
     9121cat >>confdefs.h <<_ACEOF 
     9122#define int64_t $ac_cv_c_int64_t 
     9123_ACEOF 
     9124;; 
     9125  esac 
     9126 
     9127 
     9128  { echo "$as_me:$LINENO: checking for uint64_t" >&5 
     9129echo $ECHO_N "checking for uint64_t... $ECHO_C" >&6; } 
     9130if test "${ac_cv_c_uint64_t+set}" = set; then 
     9131  echo $ECHO_N "(cached) $ECHO_C" >&6 
     9132else 
     9133  ac_cv_c_uint64_t=no 
     9134     for ac_type in 'uint64_t' 'unsigned int' 'unsigned long int' \ 
     9135     'unsigned long long int' 'unsigned short int' 'unsigned char'; do 
     9136       cat >conftest.$ac_ext <<_ACEOF 
     9137/* confdefs.h.  */ 
     9138_ACEOF 
     9139cat confdefs.h >>conftest.$ac_ext 
     9140cat >>conftest.$ac_ext <<_ACEOF 
     9141/* end confdefs.h.  */ 
     9142$ac_includes_default 
     9143int 
     9144main () 
     9145{ 
     9146static int test_array [1 - 2 * !(($ac_type) -1 >> (64 - 1) == 1)]; 
     9147test_array [0] = 0 
     9148 
     9149  ; 
     9150  return 0; 
     9151} 
     9152_ACEOF 
     9153rm -f conftest.$ac_objext 
     9154if { (ac_try="$ac_compile" 
     9155case "(($ac_try" in 
     9156  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9157  *) ac_try_echo=$ac_try;; 
     9158esac 
     9159eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9160  (eval "$ac_compile") 2>conftest.er1 
     9161  ac_status=$? 
     9162  grep -v '^ *+' conftest.er1 >conftest.err 
     9163  rm -f conftest.er1 
     9164  cat conftest.err >&5 
     9165  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9166  (exit $ac_status); } && 
     9167     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     9168  { (case "(($ac_try" in 
     9169  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9170  *) ac_try_echo=$ac_try;; 
     9171esac 
     9172eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9173  (eval "$ac_try") 2>&5 
     9174  ac_status=$? 
     9175  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9176  (exit $ac_status); }; } && 
     9177     { ac_try='test -s conftest.$ac_objext' 
     9178  { (case "(($ac_try" in 
     9179  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9180  *) ac_try_echo=$ac_try;; 
     9181esac 
     9182eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9183  (eval "$ac_try") 2>&5 
     9184  ac_status=$? 
     9185  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9186  (exit $ac_status); }; }; then 
     9187  case $ac_type in 
     9188  uint64_t) ac_cv_c_uint64_t=yes ;; 
     9189  *) ac_cv_c_uint64_t=$ac_type ;; 
     9190esac 
     9191 
     9192else 
     9193  echo "$as_me: failed program was:" >&5 
     9194sed 's/^/| /' conftest.$ac_ext >&5 
     9195 
     9196 
     9197fi 
     9198 
     9199rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     9200       test "$ac_cv_c_uint64_t" != no && break 
     9201     done 
     9202fi 
     9203{ echo "$as_me:$LINENO: result: $ac_cv_c_uint64_t" >&5 
     9204echo "${ECHO_T}$ac_cv_c_uint64_t" >&6; } 
     9205  case $ac_cv_c_uint64_t in #( 
     9206  no|yes) ;; #( 
     9207  *) 
     9208 
     9209cat >>confdefs.h <<\_ACEOF 
     9210#define _UINT64_T 1 
     9211_ACEOF 
     9212 
     9213 
     9214cat >>confdefs.h <<_ACEOF 
     9215#define uint64_t $ac_cv_c_uint64_t 
     9216_ACEOF 
     9217;; 
     9218  esac 
     9219 
     9220 
     9221  { echo "$as_me:$LINENO: checking for long long int" >&5 
     9222echo $ECHO_N "checking for long long int... $ECHO_C" >&6; } 
     9223if test "${ac_cv_type_long_long_int+set}" = set; then 
     9224  echo $ECHO_N "(cached) $ECHO_C" >&6 
     9225else 
     9226  cat >conftest.$ac_ext <<_ACEOF 
     9227/* confdefs.h.  */ 
     9228_ACEOF 
     9229cat confdefs.h >>conftest.$ac_ext 
     9230cat >>conftest.$ac_ext <<_ACEOF 
     9231/* end confdefs.h.  */ 
     9232long long int ll = 1LL; int i = 63; 
     9233int 
     9234main () 
     9235{ 
     9236long long int llmax = (long long int) -1; 
     9237       return ll << i | ll >> i | llmax / ll | llmax % ll; 
     9238  ; 
     9239  return 0; 
     9240} 
     9241_ACEOF 
     9242rm -f conftest.$ac_objext conftest$ac_exeext 
     9243if { (ac_try="$ac_link" 
     9244case "(($ac_try" in 
     9245  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9246  *) ac_try_echo=$ac_try;; 
     9247esac 
     9248eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9249  (eval "$ac_link") 2>conftest.er1 
     9250  ac_status=$? 
     9251  grep -v '^ *+' conftest.er1 >conftest.err 
     9252  rm -f conftest.er1 
     9253  cat conftest.err >&5 
     9254  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9255  (exit $ac_status); } && 
     9256     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     9257  { (case "(($ac_try" in 
     9258  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9259  *) ac_try_echo=$ac_try;; 
     9260esac 
     9261eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9262  (eval "$ac_try") 2>&5 
     9263  ac_status=$? 
     9264  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9265  (exit $ac_status); }; } && 
     9266     { ac_try='test -s conftest$ac_exeext' 
     9267  { (case "(($ac_try" in 
     9268  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9269  *) ac_try_echo=$ac_try;; 
     9270esac 
     9271eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9272  (eval "$ac_try") 2>&5 
     9273  ac_status=$? 
     9274  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9275  (exit $ac_status); }; }; then 
     9276  ac_cv_type_long_long_int=yes 
     9277else 
     9278  echo "$as_me: failed program was:" >&5 
     9279sed 's/^/| /' conftest.$ac_ext >&5 
     9280 
     9281    ac_cv_type_long_long_int=no 
     9282fi 
     9283 
     9284rm -f core conftest.err conftest.$ac_objext \ 
     9285      conftest$ac_exeext conftest.$ac_ext 
     9286fi 
     9287{ echo "$as_me:$LINENO: result: $ac_cv_type_long_long_int" >&5 
     9288echo "${ECHO_T}$ac_cv_type_long_long_int" >&6; } 
     9289  if test $ac_cv_type_long_long_int = yes; then 
     9290 
     9291cat >>confdefs.h <<\_ACEOF 
     9292#define HAVE_LONG_LONG_INT 1 
     9293_ACEOF 
     9294 
     9295  fi 
     9296 
     9297 
     9298 
     9299  { echo "$as_me:$LINENO: checking for intmax_t" >&5 
     9300echo $ECHO_N "checking for intmax_t... $ECHO_C" >&6; } 
     9301if test "${ac_cv_type_intmax_t+set}" = set; then 
     9302  echo $ECHO_N "(cached) $ECHO_C" >&6 
     9303else 
     9304  cat >conftest.$ac_ext <<_ACEOF 
     9305/* confdefs.h.  */ 
     9306_ACEOF 
     9307cat confdefs.h >>conftest.$ac_ext 
     9308cat >>conftest.$ac_ext <<_ACEOF 
     9309/* end confdefs.h.  */ 
     9310$ac_includes_default 
     9311typedef intmax_t ac__type_new_; 
     9312int 
     9313main () 
     9314{ 
     9315if ((ac__type_new_ *) 0) 
     9316  return 0; 
     9317if (sizeof (ac__type_new_)) 
     9318  return 0; 
     9319  ; 
     9320  return 0; 
     9321} 
     9322_ACEOF 
     9323rm -f conftest.$ac_objext 
     9324if { (ac_try="$ac_compile" 
     9325case "(($ac_try" in 
     9326  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9327  *) ac_try_echo=$ac_try;; 
     9328esac 
     9329eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9330  (eval "$ac_compile") 2>conftest.er1 
     9331  ac_status=$? 
     9332  grep -v '^ *+' conftest.er1 >conftest.err 
     9333  rm -f conftest.er1 
     9334  cat conftest.err >&5 
     9335  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9336  (exit $ac_status); } && 
     9337     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     9338  { (case "(($ac_try" in 
     9339  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9340  *) ac_try_echo=$ac_try;; 
     9341esac 
     9342eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9343  (eval "$ac_try") 2>&5 
     9344  ac_status=$? 
     9345  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9346  (exit $ac_status); }; } && 
     9347     { ac_try='test -s conftest.$ac_objext' 
     9348  { (case "(($ac_try" in 
     9349  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9350  *) ac_try_echo=$ac_try;; 
     9351esac 
     9352eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9353  (eval "$ac_try") 2>&5 
     9354  ac_status=$? 
     9355  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9356  (exit $ac_status); }; }; then 
     9357  ac_cv_type_intmax_t=yes 
     9358else 
     9359  echo "$as_me: failed program was:" >&5 
     9360sed 's/^/| /' conftest.$ac_ext >&5 
     9361 
     9362    ac_cv_type_intmax_t=no 
     9363fi 
     9364 
     9365rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     9366fi 
     9367{ echo "$as_me:$LINENO: result: $ac_cv_type_intmax_t" >&5 
     9368echo "${ECHO_T}$ac_cv_type_intmax_t" >&6; } 
     9369if test $ac_cv_type_intmax_t = yes; then 
     9370 
     9371cat >>confdefs.h <<\_ACEOF 
     9372#define HAVE_INTMAX_T 1 
     9373_ACEOF 
     9374 
     9375else 
     9376  test $ac_cv_type_long_long_int = yes \ 
     9377       && ac_type='long long int' \ 
     9378       || ac_type='long int' 
     9379 
     9380cat >>confdefs.h <<_ACEOF 
     9381#define intmax_t $ac_type 
     9382_ACEOF 
     9383 
     9384fi 
     9385 
     9386 
     9387 
     9388  { echo "$as_me:$LINENO: checking for unsigned long long int" >&5 
     9389echo $ECHO_N "checking for unsigned long long int... $ECHO_C" >&6; } 
     9390if test "${ac_cv_type_unsigned_long_long_int+set}" = set; then 
     9391  echo $ECHO_N "(cached) $ECHO_C" >&6 
     9392else 
     9393  cat >conftest.$ac_ext <<_ACEOF 
     9394/* confdefs.h.  */ 
     9395_ACEOF 
     9396cat confdefs.h >>conftest.$ac_ext 
     9397cat >>conftest.$ac_ext <<_ACEOF 
     9398/* end confdefs.h.  */ 
     9399unsigned long long int ull = 1ULL; int i = 63; 
     9400int 
     9401main () 
     9402{ 
     9403unsigned long long int ullmax = (unsigned long long int) -1; 
     9404       return ull << i | ull >> i | ullmax / ull | ullmax % ull; 
     9405  ; 
     9406  return 0; 
     9407} 
     9408_ACEOF 
     9409rm -f conftest.$ac_objext conftest$ac_exeext 
     9410if { (ac_try="$ac_link" 
     9411case "(($ac_try" in 
     9412  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9413  *) ac_try_echo=$ac_try;; 
     9414esac 
     9415eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9416  (eval "$ac_link") 2>conftest.er1 
     9417  ac_status=$? 
     9418  grep -v '^ *+' conftest.er1 >conftest.err 
     9419  rm -f conftest.er1 
     9420  cat conftest.err >&5 
     9421  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9422  (exit $ac_status); } && 
     9423     { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err' 
     9424  { (case "(($ac_try" in 
     9425  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9426  *) ac_try_echo=$ac_try;; 
     9427esac 
     9428eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9429  (eval "$ac_try") 2>&5 
     9430  ac_status=$? 
     9431  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9432  (exit $ac_status); }; } && 
     9433     { ac_try='test -s conftest$ac_exeext' 
     9434  { (case "(($ac_try" in 
     9435  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     9436  *) ac_try_echo=$ac_try;; 
     9437esac 
     9438eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     9439  (eval "$ac_try") 2>&5 
     9440  ac_status=$? 
     9441  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     9442  (exit $ac_status); }; }; then 
     9443  ac_cv_type_unsigned_long_long_int=yes 
     9444else 
     9445  echo "$as_me: failed program was:" >&5 
     9446sed 's/^/| /' conftest.$ac_ext >&5 
     9447 
     9448    ac_cv_type_unsigned_long_long_int=no 
     9449fi 
     9450 
     9451rm -f core conftest.err conftest.$ac_objext \ 
     9452      conftest$ac_exeext conftest.$ac_ext